DL_Keys_EC< EC > Struct Template Reference

Elliptic Curve Discrete Log (DL) keys. More...

`#include <eccrypto.h>`

Inheritance diagram for DL_Keys_EC< EC >:

## Public Types

typedef DL_PublicKey_EC< EC > | PublicKey
typedef DL_PrivateKey_EC< EC > | PrivateKey

## Detailed Description

template<class EC>
struct DL_Keys_EC< EC >

Elliptic Curve Discrete Log (DL) keys.

Template Parameters

  EC | elliptic curve field

Definition at line 320 of file eccrypto.h.

## Member Typedef Documentation

## PublicKey

template<class EC >

typedef DL_PublicKey_EC<EC> DL_Keys_EC< EC >::PublicKey

Definition at line 322 of file eccrypto.h.

## PrivateKey

template<class EC >

typedef DL_PrivateKey_EC<EC> DL_Keys_EC< EC >::PrivateKey

Definition at line 323 of file eccrypto.h.

The documentation for this struct was generated from the following file:

- eccrypto.h